import * as z from 'zod';
import { Prisma } from '../../../generated/prisma';
import Decimal from 'decimal.js';
import { CommissionBatchCreateNestedOneWithoutItemsInputObjectSchema as CommissionBatchCreateNestedOneWithoutItemsInputObjectSchema } from './CommissionBatchCreateNestedOneWithoutItemsInput.schema'

import { DecimalJSLikeSchema, isValidDecimalInput } from '../../helpers/decimal-helpers';
const makeSchema = () => z.object({
  collectionAmount: z.union([
  z.number(),
  z.string(),
  z.instanceof(Decimal),
  z.instanceof(Prisma.Decimal),
  DecimalJSLikeSchema,
]).refine((v) => isValidDecimalInput(v), {
  message: "Field 'collectionAmount' must be a Decimal",
}),
  commissionBatch: z.lazy(() => CommissionBatchCreateNestedOneWithoutItemsInputObjectSchema)
}).strict();
export const CommissionBatchItemCreateWithoutPaymentInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemCreateWithoutPaymentInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemCreateWithoutPaymentInput>;
export const CommissionBatchItemCreateWithoutPaymentInputObjectZodSchema = makeSchema();
